<?

function smarty_resource_var_resource($tpl_name, &$tpl_source, &$smarty)
{
  $tpl_source = $tpl_name;
  return true;
}

function smarty_resource_var_timestamp($tpl_name, &$tpl_timestamp, &$smarty) {
  $tpl_timestamp = null;
  return true;
}

function smarty_resource_var_secure($tpl_name, &$smarty) { 
  return true;
}

function smarty_resource_var_trusted($tpl_name, &$smarty) { 
  return;
}

?>
